## ros-humble-pal-gazebo-plugins 4.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(pal_gazebo_plugins)

set(CMAKE_CXX_STANDARD 17)

find_package(ament_cmake_auto REQUIRED)
ament_auto_find_build_dependencies()

## Plugins
ament_auto_add_library(gazebo_underactuated_finger SHARED src/gazebo_underactuated_finger.cpp)
ament_auto_add_library(pal_gazebo_collisions SHARED src/pal_gazebo_collisions.cpp)
ament_auto_add_library(gazebo_world_odometry SHARED src/gazebo_world_odometry.cpp)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  # Add your tests here
endif()

ament_auto_package()

=== debian/changelog ===
ros-humble-pal-gazebo-plugins (4.0.4-1jammy) jammy; urgency=high

  * Merge branch 'fix_warns' into 'humble-devel'
    Fix warnings
    See merge request common/pal_gazebo_plugins!24
  * compare gazebo times instead of doubles
  * use auto instead of string
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 02 Mar 2023 00:00:00 -0000

ros-humble-pal-gazebo-plugins (4.0.3-1jammy) jammy; urgency=high

  * Merge branch 'gazebo_dev_libraries' into 'humble-devel'
    Switch to ament_cmake_auto
    See merge request common/pal_gazebo_plugins!23
  * switch to ament_cmake_auto
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 24 Feb 2023 00:00:00 -0000

ros-humble-pal-gazebo-plugins (4.0.2-1jammy) jammy; urgency=high

  * Merge branch 'fix_header' into 'humble-devel'
    Update obsolete header
    See merge request common/pal_gazebo_plugins!22
  * update obsolete header
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 14 Feb 2023 00:00:00 -0000

ros-humble-pal-gazebo-plugins (4.0.1-1jammy) jammy; urgency=high

  * Merge branch 'fix_dependency' into 'humble-devel'
    change gazebo dependency to gazebo_dev
    See merge request common/pal_gazebo_plugins!21
  * change gazebo dependency to gazebo_dev
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Fri, 10 Feb 2023 00:00:00 -0000

ros-humble-pal-gazebo-plugins (4.0.0-1jammy) jammy; urgency=high

  * Merge branch 'linters' into 'humble-devel'
    Cleanup and linters
    See merge request common/pal_gazebo_plugins!20
  * update maintainers
  * update copyright
  * add license
  * add CONTRIBUTING.md
  * linters
  * rm ros1 plugins
  * Merge branch 'fix_underactuated_finger' into 'humble-devel'
    Fix underactuated finger
    See merge request common/pal_gazebo_plugins!19
  * syntax fixes
  * fix seg fault when using pointers
  * fix logging errors
  * add missing dependencies
  * Merge branch 'comment_gazebo_underactuated_finger' into 'ros2'
    comment gazebo_underactuated_finger plugin
    See merge request common/pal_gazebo_plugins!18
  * comment gazebo_underactuated_finger plugin
  * Merge branch 'foxy_obstacle_avoidance' into 'ros2'
    placeholders and change to gazebo node
    See merge request common/pal_gazebo_plugins!16
  * Merge branch 'world-odometry-migration' into 'ros2'
    World odometry migration to ros2
    See merge request common/pal_gazebo_plugins!15
  * create gazebo world odometry plugin based on p3d
  * set parameter range without steps
  * placeholders and change to gazebo node
  * World odometry migration to ros2
  * Merge branch 'collisions_plugin_ros2' into 'ros2'
    ros2 collisions plugin
    See merge request common/pal_gazebo_plugins!14
  * ros2 collisions plugin
  * Merge branch 'ferrum-devel' into ros2
  * add format tests
  * Merge branch 'ros2' of gitlab:common/pal_gazebo_plugins into ros2
  * change installation of .h to .hpp
  * Merge branch 'ros2' of gitlab:common/pal_gazebo_plugins into ros2
  * change installations .h to .hpp
  * change .h to .hpp
  * change Duration format to ros2
  * Merge branch 'ros2' of gitlab:common/pal_gazebo_plugins into ros2
  * shared library
  * ament package
  * package.xml
  * shared_ptr error
  * compilation repair
  * ros2 migration initial commit
  * Contributors: Jordan Palacios, Noel Jimenez, Noel Jimenez Garcia, cescfolch, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 08 Feb 2023 00:00:00 -0000

ros-humble-pal-gazebo-plugins (2.0.3-1jammy) jammy; urgency=high

  * Merge branch 'fix_odometry_link' into 'ferrum-devel'
    fix odometry link
    See merge request common/pal_gazebo_plugins!13
  * fix odometry link
  * Merge branch 'navigation_dynamic_obstacles_test' into 'ferrum-devel'
    update rate
    See merge request common/pal_gazebo_plugins!10
  * update rate
  * Contributors: Noel Jimenez Garcia, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 10 Aug 2021 00:00:00 -0000

ros-humble-pal-gazebo-plugins (2.0.2-1jammy) jammy; urgency=high

  * Merge branch 'navigation_dynamic_obstacles_test' into 'ferrum-devel'
    rename collisions plugin
    See merge request common/pal_gazebo_plugins!9
  * rename collisions plugin
  * Merge branch 'navigation_dynamic_obstacles_test' into 'ferrum-devel'
    Navigation dynamic obstacles test
    See merge request common/pal_gazebo_plugins!8
  * solve issues
  * format code
  * add header and activate contacts
  * gazebo collisions plugin
  * Contributors: Noel Jimenez Garcia, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 21 Jul 2021 00:00:00 -0000

ros-humble-pal-gazebo-plugins (2.0.1-1jammy) jammy; urgency=high

  * Merge branch 'expand-world-odometry' into 'ferrum-devel'
    Add offsets to world odometry and correct odom publishing errors
    See merge request common/pal_gazebo_plugins!7
  * Add offsets to world odometry and correct odom publishing errors
  * Contributors: Victor Lopez, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 28 Jun 2021 00:00:00 -0000

ros-humble-pal-gazebo-plugins (2.0.0-1jammy) jammy; urgency=high

  * Fixed shadowed variables
  * added gazebo 9 API changes
  * Contributors: Jordan Palacios, Sai Kishor Kothakota

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 10 Sep 2019 00:00:00 -0000

ros-humble-pal-gazebo-plugins (1.1.9-1jammy) jammy; urgency=high

  * Merge branch 'license-refactor' into 'erbium-devel'
    Update pal license
    See merge request common/pal_gazebo_plugins!5
  * Update PAL licenses
  * Contributors: Victor Lopez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 20 May 2019 00:00:00 -0000

ros-humble-pal-gazebo-plugins (1.1.8-1jammy) jammy; urgency=high

  * Rotate object position using target link pose
  * Contributors: Victor Lopez



=== debian/control ===
Source: ros-humble-pal-gazebo-plugins
Section: misc
Priority: optional
Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-control-toolbox, ros-humble-gazebo-dev, ros-humble-gazebo-msgs, ros-humble-gazebo-ros, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-std-msgs, ros-humble-tf2-geometry-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-pal-gazebo-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-control-toolbox, ros-humble-gazebo-dev, ros-humble-gazebo-msgs, ros-humble-gazebo-ros, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-std-msgs, ros-humble-tf2-geometry-msgs, ros-humble-ros-workspace
Description: Robot-independent Gazebo plugins used by PAL Robotics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pal-gazebo-plugins//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-pal-gazebo-plugins 4.0.5

=== debian/changelog ===
ros-humble-pal-gazebo-plugins (4.0.5-1bookworm) bookworm; urgency=high

  * Add website tag
  * Contributors: Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-pal-gazebo-plugins (4.0.4-1bookworm) bookworm; urgency=high

  * Merge branch 'fix_warns' into 'humble-devel'
    Fix warnings
    See merge request common/pal_gazebo_plugins!24
  * compare gazebo times instead of doubles
  * use auto instead of string
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Wed, 01 Mar 2023 16:00:00 -0000

ros-humble-pal-gazebo-plugins (4.0.3-1bookworm) bookworm; urgency=high

  * Merge branch 'gazebo_dev_libraries' into 'humble-devel'
    Switch to ament_cmake_auto
    See merge request common/pal_gazebo_plugins!23
  * switch to ament_cmake_auto
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 23 Feb 2023 16:00:00 -0000

ros-humble-pal-gazebo-plugins (4.0.2-1bookworm) bookworm; urgency=high

  * Merge branch 'fix_header' into 'humble-devel'
    Update obsolete header
    See merge request common/pal_gazebo_plugins!22
  * update obsolete header
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 13 Feb 2023 16:00:00 -0000

ros-humble-pal-gazebo-plugins (4.0.1-1bookworm) bookworm; urgency=high

  * Merge branch 'fix_dependency' into 'humble-devel'
    change gazebo dependency to gazebo_dev
    See merge request common/pal_gazebo_plugins!21
  * change gazebo dependency to gazebo_dev
  * Contributors: Jordan Palacios, Noel Jimenez

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Thu, 09 Feb 2023 16:00:00 -0000

ros-humble-pal-gazebo-plugins (4.0.0-1bookworm) bookworm; urgency=high

  * Merge branch 'linters' into 'humble-devel'
    Cleanup and linters
    See merge request common/pal_gazebo_plugins!20
  * update maintainers
  * update copyright
  * add license
  * add CONTRIBUTING.md
  * linters
  * rm ros1 plugins
  * Merge branch 'fix_underactuated_finger' into 'humble-devel'
    Fix underactuated finger
    See merge request common/pal_gazebo_plugins!19
  * syntax fixes
  * fix seg fault when using pointers
  * fix logging errors
  * add missing dependencies
  * Merge branch 'comment_gazebo_underactuated_finger' into 'ros2'
    comment gazebo_underactuated_finger plugin
    See merge request common/pal_gazebo_plugins!18
  * comment gazebo_underactuated_finger plugin
  * Merge branch 'foxy_obstacle_avoidance' into 'ros2'
    placeholders and change to gazebo node
    See merge request common/pal_gazebo_plugins!16
  * Merge branch 'world-odometry-migration' into 'ros2'
    World odometry migration to ros2
    See merge request common/pal_gazebo_plugins!15
  * create gazebo world odometry plugin based on p3d
  * set parameter range without steps
  * placeholders and change to gazebo node
  * World odometry migration to ros2
  * Merge branch 'collisions_plugin_ros2' into 'ros2'
    ros2 collisions plugin
    See merge request common/pal_gazebo_plugins!14
  * ros2 collisions plugin
  * Merge branch 'ferrum-devel' into ros2
  * add format tests
  * Merge branch 'ros2' of gitlab:common/pal_gazebo_plugins into ros2
  * change installation of .h to .hpp
  * Merge branch 'ros2' of gitlab:common/pal_gazebo_plugins into ros2
  * change installations .h to .hpp
  * change .h to .hpp
  * change Duration format to ros2
  * Merge branch 'ros2' of gitlab:common/pal_gazebo_plugins into ros2
  * shared library
  * ament package
  * package.xml
  * shared_ptr error
  * compilation repair
  * ros2 migration initial commit
  * Contributors: Jordan Palacios, Noel Jimenez, Noel Jimenez Garcia, cescfolch, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 07 Feb 2023 16:00:00 -0000

ros-humble-pal-gazebo-plugins (2.0.3-1bookworm) bookworm; urgency=high

  * Merge branch 'fix_odometry_link' into 'ferrum-devel'
    fix odometry link
    See merge request common/pal_gazebo_plugins!13
  * fix odometry link
  * Merge branch 'navigation_dynamic_obstacles_test' into 'ferrum-devel'
    update rate
    See merge request common/pal_gazebo_plugins!10
  * update rate
  * Contributors: Noel Jimenez Garcia, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 09 Aug 2021 16:00:00 -0000

ros-humble-pal-gazebo-plugins (2.0.2-1bookworm) bookworm; urgency=high

  * Merge branch 'navigation_dynamic_obstacles_test' into 'ferrum-devel'
    rename collisions plugin
    See merge request common/pal_gazebo_plugins!9
  * rename collisions plugin
  * Merge branch 'navigation_dynamic_obstacles_test' into 'ferrum-devel'
    Navigation dynamic obstacles test
    See merge request common/pal_gazebo_plugins!8
  * solve issues
  * format code
  * add header and activate contacts
  * gazebo collisions plugin
  * Contributors: Noel Jimenez Garcia, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Tue, 20 Jul 2021 16:00:00 -0000

ros-humble-pal-gazebo-plugins (2.0.1-1bookworm) bookworm; urgency=high

  * Merge branch 'expand-world-odometry' into 'ferrum-devel'
    Add offsets to world odometry and correct odom publishing errors
    See merge request common/pal_gazebo_plugins!7
  * Add offsets to world odometry and correct odom publishing errors
  * Contributors: Victor Lopez, victor

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Sun, 27 Jun 2021 16:00:00 -0000

ros-humble-pal-gazebo-plugins (2.0.0-1bookworm) bookworm; urgency=high

  * Fixed shadowed variables
  * added gazebo 9 API changes
  * Contributors: Jordan Palacios, Sai Kishor Kothakota

 -- Jordan Palacios <jordan.palacios@pal-robotics.com>  Mon, 09 Sep 2019 16:00:00 -0000

ros-humble-pal-gazebo-plugins (1.1.9-1bookworm) bookworm; urgency=high

  * Merge branch 'license-refactor' into 'erbium-devel'
    Update pal license
    See merge request common/pal_gazebo_plugins!5
  * Update PAL licenses


=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jordan Palacios <jordan.palacios@pal-robotics.com>
 Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-auto, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-control-toolbox, ros-humble-gazebo-dev, ros-humble-gazebo-msgs, ros-humble-gazebo-ros, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-std-msgs, ros-humble-tf2-geometry-msgs, ros-humble-ros-workspace
-Homepage: 
+Homepage: https://github.com/pal-robotics/pal_gazebo_plugins
 Standards-Version: 3.9.2
 
 Package: ros-humble-pal-gazebo-plugins

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pal-gazebo-plugins//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-pal-gazebo-plugins//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-pal-gazebo-plugins//opt/ros/humble/opt/pal_gazebo_plugins/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
